Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.framework
Class Assert

    java.lang.Object
      |
      +--junit.framework.Assert

Direct Known Subclasses:
  TestCase, TestDecorator

public class Assert
extends java.lang.Object

A set of assert methods.

Constructor Summary
`protected` | `Assert()` Protect constructor since it is a static only class

Method Summary
`static void` | `assert(boolean condition)` Deprecated. use assertTrue
`static void` | `assert(java.lang.String message, boolean condition)` Deprecated. use assertTrue
`static void` | `assertEquals(boolean expected, boolean actual)` Asserts that two booleans are equal.
`static void` | `assertEquals(byte expected, byte actual)` Asserts that two bytes are equal.
`static void` | `assertEquals(char expected, char actual)` Asserts that two chars are equal.
`static void` | `assertEquals(double expected, double actual, double delta)` Asserts that two doubles are equal concerning a delta.
`static void` | `assertEquals(float expected, float actual, float delta)` Asserts that two floats are equal concerning a delta.
`static void` | `assertEquals(int expected, int actual)` Asserts that two ints are equal.
`static void` | `assertEquals(long expected, long actual)` Asserts that two longs are equal.
`static void` | `assertEquals(java.lang.Object expected, java.lang.Object actual)` Asserts that two objects are equal.
`static void` | `assertEquals(short expected, short actual)` Asserts that two shorts are equal.
`static void` | `assertEquals(java.lang.String message, boolean expected, boolean actual)` Asserts that two booleans are equal.
`static void` | `assertEquals(java.lang.String message, byte expected, byte actual)` Asserts that two bytes are equal.
`static void` | `assertEquals(java.lang.String message, char expected, char actual)` Asserts that two chars are equal.
`static void` | `assertEquals(java.lang.String message, double expected, double actual, double delta)` Asserts that two doubles are equal concerning a delta.
`static void` | `assertEquals(java.lang.String message, float expected, float actual, float delta)` Asserts that two floats are equal concerning a delta.
`static void` | `assertEquals(java.lang.String message, int expected, int actual)` Asserts that two ints are equal.
`static void` | `assertEquals(java.lang.String message, long expected, long actual)` Asserts that two longs are equal.
`static void` | `assertEquals(java.lang.String message, java.lang.Object expected, java.lang.Object actual)` Asserts that two objects are equal.
`static void` | `assertEquals(java.lang.String message, short expected, short actual)` Asserts that two shorts are equal.
`static void` | `assertNotNull(java.lang.Object object)` Asserts that an object isn't null.
`static void` | `assertNotNull(java.lang.String message, java.lang.Object object)` Asserts that an object isn't null.
`static void` | `assertNull(java.lang.Object object)` Asserts that an object is null.
`static void` | `assertNull(java.lang.String message, java.lang.Object object)` Asserts that an object is null.
`static void` | `assertSame(java.lang.Object expected, java.lang.Object actual)` Asserts that two objects refer to the same object.
`static void` | `assertSame(java.lang.String message, java.lang.Object expected, java.lang.Object actual)` Asserts that two objects refer to the same object.
`static void` | `assertTrue(boolean condition)` Asserts that a condition is true.
`static void` | `assertTrue(java.lang.String message, boolean condition)` Asserts that a condition is true.
`static void` | `fail()` Fails a test with no message.
`static void` | `fail(java.lang.String message)` Fails a test with the given message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assert

    protected Assert()

  Protect constructor since it is a static only class

Method Detail

### assert

    public static void assert(java.lang.String message,
                              boolean condition)

  Deprecated. use assertTrue

  Asserts that a condition is true. If it isn't it throws an AssertionFailedError with the given message.

### assert

    public static void assert(boolean condition)

  Deprecated. use assertTrue

  Asserts that a condition is true. If it isn't it throws an AssertionFailedError.

### assertTrue

    public static void assertTrue(java.lang.String message,
                                  boolean condition)

  Asserts that a condition is true. If it isn't it throws an AssertionFailedError with the given message.

### assertTrue

    public static void assertTrue(boolean condition)

  Asserts that a condition is true. If it isn't it throws an AssertionFailedError.

### fail

    public static void fail(java.lang.String message)

  Fails a test with the given message.

### fail

    public static void fail()

  Fails a test with no message.

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    java.lang.Object expected,
                                    java.lang.Object actual)

  Asserts that two objects are equal. If they are not an AssertionFailedError is thrown.

### assertEquals

    public static void assertEquals(java.lang.Object expected,
                                    java.lang.Object actual)

  Asserts that two objects are equal. If they are not an AssertionFailedError is thrown.

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    double expected,
                                    double actual,
                                    double delta)

  Asserts that two doubles are equal concerning a delta. If the expected value is infinity then the delta value is ignored.

### assertEquals

    public static void assertEquals(double expected,
                                    double actual,
                                    double delta)

  Asserts that two doubles are equal concerning a delta. If the expected value is infinity then the delta value is ignored.

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    float expected,
                                    float actual,
                                    float delta)

  Asserts that two floats are equal concerning a delta. If the expected value is infinity then the delta value is ignored.

### assertEquals

    public static void assertEquals(float expected,
                                    float actual,
                                    float delta)

  Asserts that two floats are equal concerning a delta. If the expected value is infinity then the delta value is ignored.

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    long expected,
                                    long actual)

  Asserts that two longs are equal.

### assertEquals

    public static void assertEquals(long expected,
                                    long actual)

  Asserts that two longs are equal.

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    boolean expected,
                                    boolean actual)

  Asserts that two booleans are equal.

### assertEquals

    public static void assertEquals(boolean expected,
                                    boolean actual)

  Asserts that two booleans are equal.

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    byte expected,
                                    byte actual)

  Asserts that two bytes are equal.

### assertEquals

    public static void assertEquals(byte expected,
                                    byte actual)

  Asserts that two bytes are equal.

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    char expected,
                                    char actual)

  Asserts that two chars are equal.

### assertEquals

    public static void assertEquals(char expected,
                                    char actual)

  Asserts that two chars are equal.

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    short expected,
                                    short actual)

  Asserts that two shorts are equal.

### assertEquals

    public static void assertEquals(short expected,
                                    short actual)

  Asserts that two shorts are equal.

### assertEquals

    public static void assertEquals(java.lang.String message,
                                    int expected,
                                    int actual)

  Asserts that two ints are equal.

### assertEquals

    public static void assertEquals(int expected,
                                    int actual)

  Asserts that two ints are equal.

### assertNotNull

    public static void assertNotNull(java.lang.Object object)

  Asserts that an object isn't null.

### assertNotNull

    public static void assertNotNull(java.lang.String message,
                                     java.lang.Object object)

  Asserts that an object isn't null.

### assertNull

    public static void assertNull(java.lang.Object object)

  Asserts that an object is null.

### assertNull

    public static void assertNull(java.lang.String message,
                                  java.lang.Object object)

  Asserts that an object is null.

### assertSame

    public static void assertSame(java.lang.String message,
                                  java.lang.Object expected,
                                  java.lang.Object actual)

  Asserts that two objects refer to the same object. If they are not an AssertionFailedError is thrown.

### assertSame

    public static void assertSame(java.lang.Object expected,
                                  java.lang.Object actual)

  Asserts that two objects refer to the same object. If they are not the same an AssertionFailedError is thrown.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD